constructor TMusic.Init;
begin
end;

destructor TMusic.Done;
begin
end;

procedure TMusic.OnInit;
begin
end;

procedure TMusic.OnDone;
begin
end;

procedure TMusic.Update;
begin
end;

function TMusic.Play(Data: TData): Boolean;
begin
  Data.Done;
  Result := True;
end;

procedure TMusic.Stop;
begin
end;

procedure TMusic.Pause;
begin
end;

procedure TMusic.SetVolume(Volume: Integer);
begin
  FVolume := Volume;
end;

function TMusic.IsPlaying: Boolean;
begin
  Result := False;
end;
